Index: lang/v8/Makefile
===================================================================
--- lang/v8/Makefile	(revision 463967)
+++ lang/v8/Makefile	(working copy)
@@ -39,9 +39,12 @@ CXXFLAGS+=	-Wno-unused-const-variable
 CXXFLAGS+=	-Wno-tautological-undefined-compare
 .if ${COMPILER_VERSION} >= 36
 CXXFLAGS+=	-Wno-unused-local-typedef
+.if ${COMPILER_VERSION} >= 60
+CXXFLAGS+=	-Wno-null-pointer-arithmetic
 .endif
 .endif
 .endif
+.endif
 .else
 MAKE_ARGS+=	strictaliasing=off
 USE_GCC=	any
Index: lang/v8/files/patch-src_objects.cc
===================================================================
--- lang/v8/files/patch-src_objects.cc	(nonexistent)
+++ lang/v8/files/patch-src_objects.cc	(working copy)
@@ -0,0 +1,11 @@
+--- src/objects.cc.orig	2013-05-01 12:56:29 UTC
++++ src/objects.cc
+@@ -2494,7 +2494,7 @@ MaybeObject* Map::GeneralizeRepresentation(int modify_
+       // Create a handle for the last created map to ensure it stays alive
+       // during GC. Its descriptor array is too large, but it will be
+       // overwritten during retry anyway.
+-      Handle<Map>(new_map);
++      Handle<Map> new_map;
+     }
+   }
+ 

Property changes on: lang/v8/files/patch-src_objects.cc
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: lang/v8/files/patch-src_stub-cache.cc
===================================================================
--- lang/v8/files/patch-src_stub-cache.cc	(nonexistent)
+++ lang/v8/files/patch-src_stub-cache.cc	(working copy)
@@ -0,0 +1,11 @@
+--- src/stub-cache.cc.orig	2013-05-01 12:56:29 UTC
++++ src/stub-cache.cc
+@@ -1474,7 +1474,7 @@ Handle<Code> StubCompiler::GetCodeWithFlags(Code::Flag
+                                             Handle<Name> name) {
+   return (FLAG_print_code_stubs && !name.is_null() && name->IsString())
+       ? GetCodeWithFlags(flags, *Handle<String>::cast(name)->ToCString())
+-      : GetCodeWithFlags(flags, reinterpret_cast<char*>(NULL));
++      : GetCodeWithFlags(flags, NULL);
+ }
+ 
+ 

Property changes on: lang/v8/files/patch-src_stub-cache.cc
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
